/* $Header:calloc.c 12.0$ */
/* $ACIS:calloc.c 12.0$ */
/* $Source: /ibm/acis/usr/src/lib/libc/gen/RCS/calloc.c,v $ */

#ifndef lint
static char *rcsid = "$Header:calloc.c 12.0$";
#endif

#if defined(LIBC_SCCS) && !defined(lint)
static char sccsid[] = "@(#)calloc.c	5.2 (Berkeley) 3/9/86";
#endif LIBC_SCCS and not lint

/*
 * Calloc - allocate and clear memory block
 */
char *
calloc(num, size)
	register unsigned num, size;
{
	extern char *malloc();
	register char *p;

	size *= num;
	if (p = malloc(size))
		bzero(p, size);
	return (p);
}

cfree(p, num, size)
	char *p;
	unsigned num;
	unsigned size;
{
	free(p);
}
